Scriptname _R_EffectDaedraGift_HermaeusEvent extends ActiveMagicEffect  

int MemInstance = -1

_R_QuestScript Property Libs Auto
FormList Property SoundList Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	Libs.SetIsAnimating(true)
	Sound Memory = SoundList.GetAt(Utility.RandomInt(0, SoundList.GetSize() - 1)) as Sound
	if(Memory)
		MemInstance = Memory.Play(akTarget)
	endIf
	Game.ShakeCamera()
	RegisterForSingleUpdate(Utility.RandomFloat(1.0, 3.0))
endEvent

Event OnUpdate()
	Game.ShakeCamera()
	RegisterForSingleUpdate(Utility.RandomFloat(1.0, 3.0))
endEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	Libs.SetIsAnimating(false)
	if(MemInstance > 0)
		Sound.StopInstance(MemInstance)
	endIf
endEvent