Scriptname _R_EffectDaedraGift_Nocturnal1 extends activemagiceffect  

Faction[] Property CrimeFactions Auto
Message[] Property ClearedMsgs Auto

GlobalVariable Property GameDaysPassed Auto

float LastUpdate = 0.0

Event OnEffectStart(Actor akTarget, Actor akCaster)
	LastUpdate = GameDaysPassed.GetValue()
	RegisterForSingleUpdateGameTime(0.1)
endEvent

Event OnUpdateGameTime()
	int MinutesPassed = ((GameDaysPassed.GetValue() - LastUpdate) * 1440) as int
	if(MinutesPassed > 0)
		int i = 0
		while(i < CrimeFactions.Length)
			float CrimeNV = CrimeFactions[i].GetCrimeGoldNonViolent()
			float CrimeV = CrimeFactions[i].GetCrimeGoldViolent()
			if(CrimeNV > 0 || CrimeV > 0)
				bool ClearedNV = false
				bool ClearedV = false
				if(CrimeNV <= MinutesPassed)
					ClearedNV = true
					CrimeFactions[i].SetCrimeGold(0)
				else
					CrimeFactions[i].ModCrimeGold(-1 * MinutesPassed, false)
				endIf
				if(CrimeV <= MinutesPassed)
					ClearedV = true
					CrimeFactions[i].SetCrimeGoldViolent(0)
				else
					CrimeFactions[i].ModCrimeGold(-1 * MinutesPassed, true)
				endIf
				if(ClearedNV && ClearedV)
					ClearedMsgs[i].Show()
				endIf
			endIf
			i += 1
		endWhile
	endIf
	if(self)
		RegisterForSingleUpdateGameTime(0.1)
	endIf
endEvent