Scriptname _R_PlayerAliasScript extends ReferenceAlias  

_R_QuestScript Property Libs Auto

Event OnInit()
	RegisterForSleep()
endEvent

Event OnSleepStart(float afSleepStartTime, float afDesiredSleepEndTime)
	Libs.TryPrepareSleepGlimpse()
endEvent

Event OnSleepStop(bool abInterrupted)
	if(!abInterrupted)
		Libs.GiveSleepGlimpse()
	endIf
endEvent

;Event OnLocationChange()
;If the player enters a location associated with a deity, increase chances of them recieving a vision, and possibly recieving a piety power
Event OnLocationChange(Location akOldLoc, Location akNewLoc)
	Libs.LocationChanged(akNewLoc)
endEvent

;Event OnEquipped()
;If the player reads a book associated with a deity, increase the chances of them recieving a vision
Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	if(akBaseObject as Book)
		Libs.BookRead(akBaseObject)
	endIf
endEvent
