Scriptname _R_EffectDivineBlessing_Dibella3 extends ActiveMagicEffect  

int CastTries = 25
int CastRadius = 500

Keyword Property ActorTypeNPC Auto
Keyword Property ArmorClothing Auto
Keyword Property ArmorLight Auto
Keyword Property ArmorHeavy Auto

Actor[] NPCs

Event OnEffectStart(Actor akTarget, Actor akCaster)
	;Debug.Trace("[Religion] Dibella Blessing Script on " + akTarget)
	Actor Player = Game.GetPlayer()
	if(akTarget == Player)
		;NPCs = new Actor[10]
		while(CastTries > 0)
			Actor ToStrip = Game.FindRandomActorFromRef(akTarget, CastRadius)
			if(IsViable(ToStrip))
				;Debug.Trace("[Religion] Dibella Blessing on " + ToStrip)
				Player.PushActorAway(ToStrip, 10)
				ToStrip.UnequipAll()
			endIf
			CastTries -= 1
		endWhile
	endIf
endEvent

bool Function IsViable(Actor NPC)
	;Debug.Trace("[Religion] Trying Dibella Blessing on " + NPC)
	if(NPC != Game.GetPlayer() && NPC.IsHostileToActor(Game.GetPlayer()) && NPC.HasKeyword(ActorTypeNPC) && (NPC.WornHasKeyword(ArmorClothing) || NPC.WornHasKeyword(ArmorLight) || NPC.WornHasKeyword(ArmorHeavy)))
		return true
	else
		return false
	endIf


;	int Index = 0
;	while(Index < NPCs.Length)
;		if(NPCs[Index] == None)
;			NPCs[Index] = NPC
;			return true
;		elseif(NPCs[Index] == NPC)
;			return false
;		endIf
;		Index += 1
;	endWhile
endFunction