Scriptname _R_EffectDivineCurseScript extends ActiveMagicEffect  

_R_QuestScript Property Libs Auto

int Property Divine Auto

GlobalVariable Property GameDaysPassed Auto
GlobalVariable Property _R_GlobalDivineCurseDur Auto
GlobalVariable Property _R_GlobalDivineCurseEnd Auto
GlobalVariable Property _R_GlobalDivineCurseUpdate Auto

Message Property _R_MessageDivineCurseLifted Auto

Spell Property _R_SpellDivineCurse Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if(akTarget == Game.GetPlayer())
		RegisterForUpdateGameTime(_R_GlobalDivineCurseUpdate.GetValue())
		_R_GlobalDivineCurseDur.SetValue(_R_GlobalDivineCurseEnd.GetValue() - GameDaysPassed.GetValue())
	endIf
endEvent

Event OnUpdateGameTime()
	if(GameDaysPassed.GetValue() > _R_GlobalDivineCurseEnd.GetValue())
		_R_MessageDivineCurseLifted.Show()
		Game.GetPlayer().RemoveSpell(_R_SpellDivineCurse)
	else
		_R_GlobalDivineCurseDur.SetValue(_R_GlobalDivineCurseEnd.GetValue() - GameDaysPassed.GetValue())
	endIf
endEvent
