Scriptname _R_EffectPietyConstantScript extends activemagiceffect  

GlobalVariable Property GameDaysPassed Auto
_R_QuestScript Property Libs Auto

Spell Property PietySpell Auto
int Property Pantheon Auto
int Property Diety Auto
bool Property UsingShrine Auto

float TimeStart = 0.0
float BeginningPiety = 0.0

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if(akTarget == Game.GetPlayer())
		Diety = Libs.BeginPiety(Pantheon, Diety, UsingShrine)
		if(Diety >= 0)
			TimeStart = GameDaysPassed.GetValue()
			BeginningPiety = Libs.GetPietyMult(Pantheon, Diety, UsingShrine)
		else
			Game.GetPlayer().RemoveSpell(PietySpell)
		endIf
	endIf
endEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	if(akTarget == Game.GetPlayer() && Diety >= 0)
		if(GameDaysPassed.GetValue() > TimeStart)		
			Libs.EndPiety(Pantheon, Diety, UsingShrine, (BeginningPiety + Libs.GetPietyMult(Pantheon, Diety, UsingShrine))/2.0, GameDaysPassed.GetValue() - TimeStart)
		else
			Libs.EndPiety(Pantheon, Diety, UsingShrine, 0.0, 0.0)
		endIf
	endIf
endEvent