Scriptname _R_EffectSpiritBoon_SithisMort extends activemagiceffect  

Keyword Property ActorTypeNPC Auto
ActorBase Property SkeletonBase Auto
EffectShader Property BloodEffect Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if(!akTarget.IsEssential() && akTarget.HasKeyword(ActorTypeNPC))
		Actor Skeleton = akTarget.PlaceActorAtMe(SkeletonBase)
		Skeleton.Kill()
		akTarget.SetCriticalStage(akTarget.CritStage_DisintegrateEnd)
		akTarget.RemoveAllItems(Skeleton)
		while(!Skeleton.Is3DLoaded())
			Utility.WaitMenuMode(0.05)
		endWhile
		BloodEffect.Play(Skeleton, 8.0)
	endIf
endEvent
